Name: fvwm2
Version: 2.5.3
Release: alt3

Summary: An improved version of the FVWM X-based window manager
Summary(ru_RU.KOI8-R):     X Window System
License: GPL
Group: Graphical desktop/FVWM based
Url: http://www.fvwm.org/
Packager: FVWM Development Team <fvwm@packages.altlinux.org>

Source0: ftp://ftp.fvwm.org/pub/fvwm/version-2/fvwm-%version.tar.bz2
Source1: fvwm-2.0.46.icons.tar.bz2

Source11: %name-compat-icons.tar.bz2
Source12: %name-menuicon-32.xpm
Source13: %name-menuicon.xpm
Source14: Fvwm2.xpm
Source15: %name.menu
Source16: %name.menu-method
Source17: start%name
Source18: %name.wmsession

Patch1: %name-2.4.3-rh-modules.patch
Patch2: %name-2.4.3-alt-config.patch
Patch3: %name-2.5.3-alt-xft-config.patch
Patch4: %name-2.5.3-alt-fvwmbug-tmp.patch

Requires: %name-icons = %version-%release
Provides: fvwm95, fvwm
Obsoletes: fvwm95, fvwm

# Automatically added by buildreq on Tue Oct 15 2002
BuildRequires: XFree86-devel XFree86-libs fontconfig-devel freetype2-devel fribidi glib-devel gtk+-devel imlib-devel libXft-devel libexpat libfribidi-devel libncurses-devel libpng-devel libreadline-devel libstroke-devel urw-fonts xpm-devel zlib-devel

%description
FVWM is an ICCCM-compliant X window manager providing a 3D
look for window decorations, multiple discontiguous virtual
desktops, a high degree of configurability, and an external
module interface for implementing functional extensions.

%description -l ru_RU.KOI8-R
FVWM      X Window System, 
 ICCCM,     .
 
      ,    
(colorsets),  ICCCM2    GNOME,  ,
   ,   ,   ,
 stroke, Xft2   .

%package icons
Summary: Graphic files used by the FVWM and FVWM2 window managers
Group: Graphical desktop/FVWM based
Provides: fvwm95-icons
Obsoletes: fvwm95-icons

%description icons
The %name-icons package contains icons, bitmaps and pixmaps used by
the FVWM and FVWM2 X Window System window managers.

You'll need to install %name-icons if you are installing %name.

%prep
%setup -q -n fvwm-%version -a1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

# Fix default fonts.
find -type f -print0 |
	xargs -r0 %__grep -FZl -e -adobe- -- |
	xargs -r0 %__subst 's,-adobe-,-*-,g'

%build
export FVWM_BUGADDR='%packager'
%configure \
	--prefix=%_x11dir \
	--bindir=\${prefix}/bin \
	--mandir=\${prefix}/man \
	--datadir=\${prefix}/share \
	--libexecdir=\${prefix}/lib/X11 \
	--sysconfdir=%_sysconfdir/X11/%name \
	--with-imagepath=%_miconsdir:%_iconsdir:%_x11includedir/bitmaps \
	--without-termcap-library \
	--with-xft \
	--without-gnome
	
%make_build

%install
%make_install install DESTDIR=$RPM_BUILD_ROOT

# Prepare docs.
%__rm -rf doc
%__cp -a docs doc
%__rm -f doc/{*.in,Makefile*}

# Prepare sample configs.
%__rm -rf fvwmrc.sample
%__cp -a sample.fvwmrc fvwmrc.sample
%__rm -f fvwmrc.sample/Makefile*

# Install default config.
%__install -pD -m644 $RPM_BUILD_ROOT%_x11datadir/fvwm/ConfigFvwmSetup $RPM_BUILD_ROOT%_sysconfdir/X11/%name/system.%{name}rc

# Install icons.
%__rm -rf $RPM_BUILD_ROOT%_iconsdir
%__mkdir_p $RPM_BUILD_ROOT%_miconsdir
%__install -pD -m644 icons/*.xpm $RPM_BUILD_ROOT%_iconsdir/
%__mv $RPM_BUILD_ROOT%_iconsdir/mini*.xpm $RPM_BUILD_ROOT%_miconsdir/

# mdk: Install compatibility icons
tar xjf %{SOURCE11} -C $RPM_BUILD_ROOT
%__mv $RPM_BUILD_ROOT%_iconsdir/folder.xpm $RPM_BUILD_ROOT%_iconsdir/fvwfolder.xpm

# mdk: remove conflicting icons.
pushd $RPM_BUILD_ROOT
	%__rm -f .%_iconsdir/xv.xpm
	%__rm -f .%_iconsdir/bell.xpm
	%__rm -f .%_iconsdir/desktop.xpm
	%__rm -f .%_iconsdir/keyboard.xpm
	%__rm -f .%_iconsdir/xpaint.xpm
	%__rm -f .%_iconsdir/xemacs.xpm
	%__rm -f .%_iconsdir/gv.xpm
popd

# mdk: menu entry icon
%__install -pD -m644 %SOURCE12 $RPM_BUILD_ROOT%_iconsdir/%name-menuicon.xpm
%__install -pD -m644 %SOURCE13 $RPM_BUILD_ROOT%_miconsdir/%name-menuicon.xpm
%__install -p -m644 %SOURCE14 $RPM_BUILD_ROOT%_iconsdir/

# mdk: menu stuff
%__install -pD -m644 %SOURCE15 $RPM_BUILD_ROOT%_menudir/%name
%__install -pD -m755 %SOURCE16 $RPM_BUILD_ROOT%_sysconfdir/menu-methods/%name

%__install -pD -m755 %SOURCE17 $RPM_BUILD_ROOT%_x11bindir/start%name
%__install -pD -m644 %SOURCE18 $RPM_BUILD_ROOT%_sysconfdir/X11/wmsession.d/09Fvwm2

%post
%update_menus
%update_wms

%postun
%clean_menus
%clean_wms

%files
%config(noreplace) %_sysconfdir/X11/%name
%_sysconfdir/X11/wmsession.d/*
%_sysconfdir/menu-methods/*
%_x11bindir/*
%_x11libdir/X11/fvwm
%_x11datadir/fvwm
%_x11mandir/man?/*
%_menudir/*
%doc AUTHORS COPYING INSTALL.fvwm NEWS README
%doc docs/ANNOUNCE docs/BUGS docs/DEVELOPERS docs/FAQ docs/TODO
%doc docs/color_combos docs/error_codes docs/fvwm.lsm docs/m4_hacks

%files icons
%_iconsdir/*.xpm
%_iconsdir/*/*.xpm

%changelog
* Tue Oct 15 2002 Dmitry V. Levin <ldv@altlinux.org> 2.5.3-alt3
- Fixed fvwm-bug script.

* Tue Oct 15 2002 AEN <aen@altlinux.ru> 2.5.3-alt2
- Added xft fonts to default config.

* Tue Oct 15 2002 AEN <aen@altlinux.ru> 2.5.3-alt1
- 2.5.3: new development version with xft2 support.

* Tue Mar 12 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.4.6-alt1
- 2.4.6.

* Wed Mar 06 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.4.5-alt2
- Added --enable-multibyte.

* Mon Feb 04 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.4.5-alt1
- 2.4.5.

* Thu Jan 10 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.4.3-alt2
- Fixed default fonts.

* Mon Jan 07 2002 Dmitry V. Levin <ldv@alt-linux.org> 2.4.3-alt1
- Updated wmsession.d and startup scripts.
- Updated configuration.

* Wed Nov 07 2001 Dmitry V. Levin <ldv@alt-linux.org> 2.4.3-alt0.1
- Merged rh (2.4.3-2) and mdk (2.2.4-14mdk) packages.

* Mon Nov  5 2001 Than Ngo <than@redhat.com> 2.4.3-2
- disable package subdir (bug #54589)
- add some missing FvwmForm-*, FvwmScript-* ...
- build with libstroke

* Thu Sep 20 2001 Than Ngo <than@redhat.com> 2.4.3-1
- update to 2.4.3

* Thu Sep 20 2001 Than Ngo <than@redhat.com> 2.4.2-1
- update to 2.4.2 (bug #53030)

* Tue Aug  7 2001 Than Ngo <than@redhat.com>
- add patch from greg@lugs.org.sg (bug #51104)

* Fri Jun 22 2001 Preston Brown <pbrown@redhat.com>
- don't own /usr/share/icons dir

* Fri May 25 2001 Helge Deller <hdeller@redhat.de>
- Application icons don't show up unless configured
  with --with-iconpath=/usr/share... (Bug #42230)

* Tue May 21 2001 SATO Satoru <ssato@redhat.com>
- new upstream (2.2.5)
- apply I18N patch
- add Japanese rc file (system.fvwm2rc.ja)

* Tue Aug 22 2000 Than Ngo <than@redhat.com>
- fix system.fvwm2rc (Bug #16707)
- disable debug

* Fri Aug 4 2000 Than Ngo than@redhat.de>
- fixed bugs in FvwmTaskBar (Bug #11066) (thanks to jtl@cs.man.ac.uk)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  4 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Thu Jun 01 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0

* Fri Feb  4 2000 Matt Wilson <msw@redhat.com>
- removed '-s' flag to the install program - broken on sparc

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man pages

* Thu Jan 13 2000 Preston Brown <pbrown@redhat.com>
- 2.2.4

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- added ability to read wmconfig generated menu (# 2665)

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- removed compatibility icon pak.

* Fri Aug 27 1999 Preston Brown <pbrown@redhat.com>
- 2.2.2 bugfix release

* Fri Apr 09 1999 Preston Brown <pbrown@redhat.com>
- added some icons from kdebase back to this package for upgrade
- compatibility.

* Wed Mar 24 1999 Bill Nottingham <notting@redhat.com>
- don't require xterm-color

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- better default system.fvwm2rc

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Fri Feb 26 1999 Cristian Gafton <gafton@redhat.com>
- package is still not finished yet
- upgraded to 2.2, got rid of all the cruft in the spec file

* Thu Sep 24 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.0.47
- mark config files as %config files

* Mon Jun 29 1998 Michael Maher <mike@redhat.com>
- removed duplicate files found in the package Another level.
- fixes bug: 651

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- long time no new version released :-(. -> misc patch
- major spec file cleanups

* Mon Nov 03 1997 Cristian Gafton <gafton@redhat.com>
- Fixed more bugs (bugs patch)

* Fri Oct 24 1997 Cristian Gafton <gafton@redhat.com>
- fixed Alpha build

* Thu Oct 16 1997 Cristian Gafton <gafton@redhat.com>
- fixed FvwmTaskBar severe bug (taskbar patch)
- misc fixes

* Mon Oct 13 1997 Cristian Gafton <gafton@redhat.com>
- built against glibc; added -rh and -fixes patches
